> For the complete documentation index, see [llms.txt](https://docs.xyb.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xyb.co/xyb-platform-1/api-reference/accounts/account-co-ordinates-and-attributes-apis.md).

# Account Co-ordinates and Attributes APIs

## PUT /api/v2.0/account/{idRef}/attributes

> Replace account attributes

```json
{"openapi":"3.0.3","info":{"title":"Account Service","version":"0.18.1-bb9ff03"},"paths":{"/api/v2.0/account/{idRef}/attributes":{"put":{"tags":["AccountController"],"description":"Replace account attributes","operationId":"AccountController::replaceAttributes","parameters":[{"name":"idRef","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"Response to /api/v2.0/account/{idRef}/attributes"}}}}}}
```

## DELETE /api/v2.0/account/{idRef}/attributes

> Delete account attributes

```json
{"openapi":"3.0.3","info":{"title":"Account Service","version":"0.18.1-bb9ff03"},"paths":{"/api/v2.0/account/{idRef}/attributes":{"delete":{"tags":["AccountController"],"description":"Delete account attributes","operationId":"AccountController::deleteAttributes","parameters":[{"name":"idRef","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"Response to /api/v2.0/account/{idRef}/attributes"}}}}}}
```

## PATCH /api/v2.0/account/{idRef}/attributes

> Add account attributes

```json
{"openapi":"3.0.3","info":{"title":"Account Service","version":"0.18.1-bb9ff03"},"paths":{"/api/v2.0/account/{idRef}/attributes":{"patch":{"tags":["AccountController"],"description":"Add account attributes","operationId":"AccountController::addAttributes","parameters":[{"name":"idRef","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"Response to /api/v2.0/account/{idRef}/attributes"}}}}}}
```

## POST /api/v2.0/account/{idRef}/coordinates

> Add banking coordinates to account

```json
{"openapi":"3.0.3","info":{"title":"Account Service","version":"0.18.1-bb9ff03"},"paths":{"/api/v2.0/account/{idRef}/coordinates":{"post":{"tags":["AccountCoordinatesController"],"description":"Add banking coordinates to account","operationId":"AccountCoordinatesController::addCoordinate","parameters":[{"name":"idRef","in":"path","required":true,"schema":{"type":"string"}},{"name":"tags","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/schema_payment_account_coords"}}},"required":true},"responses":{"200":{"description":"Response to /api/v2.0/account/{idRef}/coordinates","content":{"application/json":{"schema":{"$ref":"#/components/schemas/cac_account_schema_account_coordinates"}}}}}}}},"components":{"schemas":{"schema_payment_account_coords":{"type":"object","properties":{"acceptor":{"$ref":"#/components/schemas/schema_payment_acceptor"},"banking":{"$ref":"#/components/schemas/schema_payment_banking_coords_carrier"},"external":{"type":"object","additionalProperties":{"type":"string"}},"internal":{"$ref":"#/components/schemas/schema_payment_internal_coords"},"reference":{"type":"string"}},"title":"AccountCoords","description":"A standard way of transmitting account coordinates between services."},"schema_payment_acceptor":{"type":"object","properties":{"acquirer_id":{"type":"string","description":"The id of the acquirer on the card network"},"facilitator_id":{"type":"string","description":"The id of the payment facilitator (sub acceptor)"},"id":{"type":"string","description":"The id of the acceptor on the card network"},"mcc":{"type":"string","description":"The merchant category code, four numerical digits 0000-9999"},"terminal_id":{"type":"string","description":"Unique id identifying the terminal used"}},"title":"Acceptor","description":"A merchant qualified to accept credit or debit cards as payment"},"schema_payment_banking_coords_carrier":{"type":"object","properties":{"account_code":{"type":"string","description":"Used to record the combined account number and routing code (CLABE in MX)"},"account_number":{"type":"string","description":"Account number."},"account_type":{"type":"string","description":"Account type - has a national meaning in GT, IS, BR and BG."},"balance_account_number":{"type":"string","description":"The balance account according to the chart of accounts - used in Belarus. See https://www.nbrb.by/engl/payment/ibanbic"},"bank_code":{"type":"string","description":"The national bank code (as opposed to BIC.)"},"bic":{"type":"string","description":"The BIC code"},"bic_bank_code":{"type":"string","description":"The 4 letter SWIFT bank code."},"bic_branch_code":{"type":"string","description":"The 3 character SWIFT branch code."},"bic_location_code":{"type":"string","description":"The 2 character SWIFT location code."},"branch_code":{"type":"string","description":"Branch code (sort-code in UK, guichet-code in FR.)"},"country_code":{"type":"string","description":"Required in the absence of a BIC or IBAN"},"currency":{"type":"string","description":"Used in GT, MU & SC (two character in GT, three character elsewhere.)"},"iban":{"type":"string","description":"The account coordinates as an IBAN"},"national_id":{"type":"string","description":"National identifier - IS kennitala."},"owner_account_number":{"type":"string","description":"Used to identify individual accounts in Brazil."},"routing_code":{"type":"string","description":"Identifies the bank for an account, often combines institution and branch data."}},"title":"BankingCoordsCarrier","description":"Banking coordinates."},"schema_payment_internal_coords":{"type":"object","properties":{"account_id":{"type":"string","format":"uuid","description":"The Monese assigned id for the account. This is not necessarily the id assigned by the ledger holder."},"account_reference":{"type":"string","description":"The reference for the account"},"card_id":{"type":"string","format":"uuid","description":"The Monese assigned card id for the account."},"contact_account_id":{"type":"string","description":"A id that reference a contact account."},"currency_code":{"type":"string","description":"The denomination of funds within the account."},"legacy_account_id":{"description":"The legacy Monese assigned id for the account.","type":"integer","format":"int64"}},"title":"InternalCoords","description":"Account coordinates that are used to conveniently identify accounts within the Monese system."},"cac_account_schema_account_coordinates":{"type":"object","properties":{"coordinates":{"$ref":"#/components/schemas/pay_payment_schema_account_coords","description":"Records an IBAN, account number, etc. for an account."},"external":{"type":"object","additionalProperties":{"type":"string"},"description":"Strictly optional external information for account coordinates."},"id":{"type":"string","format":"uuid","description":"A globally unique identifier for the account, generated on creation."},"tags":{"type":"array","items":{"type":"string"},"description":"Strictly optional application-scoped tags for the account coordinates."}},"required":["id","coordinates"],"title":"AccountCoordinates"},"pay_payment_schema_account_coords":{"type":"object","properties":{"acceptor":{"$ref":"#/components/schemas/pay_payment_schema_acceptor"},"banking":{"$ref":"#/components/schemas/schema_payment_banking_coords_carrier"},"external":{"type":"object","additionalProperties":{"type":"string"}},"internal":{"$ref":"#/components/schemas/pay_payment_schema_internal_coords"},"reference":{"type":"string"}},"title":"AccountCoords","description":"A standard way of transmitting account coordinates between services."},"pay_payment_schema_acceptor":{"type":"object","properties":{"acquirer_id":{"type":"string","description":"The id of the acquirer on the card network"},"facilitator_id":{"type":"string","description":"The id of the payment facilitator (sub acceptor)"},"id":{"type":"string","description":"The id of the acceptor on the card network"},"mcc":{"type":"string","description":"The merchant category code, four numerical digits 0000-9999"},"terminal_id":{"type":"string","description":"Unique id identifying the terminal used"}},"title":"Acceptor","description":"A merchant qualified to accept credit or debit cards as payment"},"pay_payment_schema_internal_coords":{"type":"object","properties":{"account_id":{"type":"string","format":"uuid","description":"The Monese assigned id for the account. This is not necessarily the id assigned by the ledger holder."},"account_reference":{"type":"string","description":"The reference for the account"},"card_id":{"type":"string","format":"uuid","description":"The Monese assigned card id for the account."},"contact_account_id":{"type":"string","description":"A id that reference a contact account."},"currency_code":{"type":"string","description":"The denomination of funds within the account."},"legacy_account_id":{"description":"The legacy Monese assigned id for the account.","type":"integer","format":"int64"}},"title":"InternalCoords","description":"Account coordinates that are used to conveniently identify accounts within the Monese system."}}}}
```

## PUT /api/v2.0/account/{idRef}/coordinates/{id}

> Replace banking coordinates tags

```json
{"openapi":"3.0.3","info":{"title":"Account Service","version":"0.18.1-bb9ff03"},"paths":{"/api/v2.0/account/{idRef}/coordinates/{id}":{"put":{"tags":["AccountCoordinatesController"],"description":"Replace banking coordinates tags","operationId":"AccountCoordinatesController::replaceCoordinateTags","parameters":[{"name":"idRef","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"tags","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":false},"responses":{"200":{"description":"Response to /api/v2.0/account/{idRef}/coordinates/{id}"}}}}}}
```

## DELETE /api/v2.0/account/{idRef}/coordinates/{id}

> Delete banking coordinates

```json
{"openapi":"3.0.3","info":{"title":"Account Service","version":"0.18.1-bb9ff03"},"paths":{"/api/v2.0/account/{idRef}/coordinates/{id}":{"delete":{"tags":["AccountCoordinatesController"],"description":"Delete banking coordinates","operationId":"AccountCoordinatesController::deleteCoordinate","parameters":[{"name":"idRef","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Response to /api/v2.0/account/{idRef}/coordinates/{id}"}}}}}}
```

## PATCH /api/v2.0/account/{idRef}/coordinates/{id}

> Add banking coordinates tags

```json
{"openapi":"3.0.3","info":{"title":"Account Service","version":"0.18.1-bb9ff03"},"paths":{"/api/v2.0/account/{idRef}/coordinates/{id}":{"patch":{"tags":["AccountCoordinatesController"],"description":"Add banking coordinates tags","operationId":"AccountCoordinatesController::addCoordinateTags","parameters":[{"name":"idRef","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"tags","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":false},"responses":{"200":{"description":"Response to /api/v2.0/account/{idRef}/coordinates/{id}"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xyb.co/xyb-platform-1/api-reference/accounts/account-co-ordinates-and-attributes-apis.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
